## org.codehaus.groovy.control.io
Class NullWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.control.io.NullWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class NullWriter

extends Writer

An Writer than eats its input.

Version:
  $Id: NullWriter.java 6778 2007-07-02 10:40:33Z glaforge $
Author:
  Chris Poirier

Field Summary
`static NullWriter` `DEFAULT`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`NullWriter()`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(char[] cbuf, int off, int len)`

Methods inherited from class java.io.Writer
`append, append, append, append, append, append, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final NullWriter DEFAULT

Constructor Detail

### NullWriter

    public NullWriter()

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)

  Specified by:
    `write` in class `Writer`

Copyright © 2003-2008 The Codehaus. All rights reserved.